Package org.apache.tools.ant.util

# Class FlatFileNameMapper

java.lang.Object
org.apache.tools.ant.util.FlatFileNameMapper

All Implemented Interfaces:
  `FileNameMapper`

public class FlatFileNameMapper extends Object implements FileNameMapper
Implementation of FileNameMapper that always returns the source file name without any leading directory information.

This is the default FileNameMapper for the copy and move tasks if the flatten attribute has been set.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FlatFileNameMapper()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String[]`
  `mapFileName(String sourceFileName)`
  Returns an one-element array containing the source file name without any leading directory information.
  `void`
  `setFrom(String from)`
  Ignored.
  `void`
  `setTo(String to)`
  Ignored.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FlatFileNameMapper

    public FlatFileNameMapper()

- ## Method Details

  - ### setFrom

    public void setFrom(String from)
    Ignored.
    Specified by:
      `setFrom` in interface `FileNameMapper`
    Parameters:
      `from` - ignored.

  - ### setTo

    public void setTo(String to)
    Ignored.
    Specified by:
      `setTo` in interface `FileNameMapper`
    Parameters:
      `to` - ignored.

  - ### mapFileName

    public String[] mapFileName(String sourceFileName)
    Returns an one-element array containing the source file name without any leading directory information.
    Specified by:
      `mapFileName` in interface `FileNameMapper`
    Parameters:
      `sourceFileName` - the name to map.
    Returns:
      the file name in a one-element array.